libzypp: zypp::repo Namespace Reference

libzypp 17.25.10

Namespaces | Classes | Functions | Variables
zypp::repo Namespace Reference

## Namespaces
namespace | factory
namespace | susetags
namespace | yum

## Classes
class | DeltaCandidates
| Candidate delta and patches for a package. More...
class | Downloader
| Downloader base class. More...
struct | DownloadResolvableReport
class | PackageProvider
| Provide a package from a Repo. More...
class | PackageProviderImpl
class | PackageProviderPolicy
| Policies and options for PackageProvider. More...
struct | PluginServiceRepos
class | PluginServices
struct | ProbeRepoReport
class | RepoAlreadyExistsException
| Repository already exists and some unique attribute can't be duplicated. More...
struct | RepoCreateReport
class | RepoException
| Exception for repository handling. More...
class | RepoInfoBase
| Base class implementing common features of RepoInfo and ServiceInfo. More...
class | RepoInvalidAliasException
| Thrown when the repo alias is found to be invalid. More...
class | RepoMediaAccess
| Provides files from different repos. More...
class | RepoMetadataException
| thrown when it was impossible to use the raw metadata for this repo. More...
class | RepoMirrorList
class | RepoNoAliasException
| thrown when it was impossible to determine an alias for this repo. More...
class | RepoNotCachedException
| The repository cache is not built yet so you can't create the repostories from the cache. More...
class | RepoNotFoundException
| thrown when it was impossible to match a repository More...
class | RepoNoUrlException
| thrown when it was impossible to determine one url for this repo. More...
struct | RepoReport
struct | RepoType
| Repository type enumeration. More...
class | RepoUnknownTypeException
| thrown when it was impossible to determine this repo type. More...
class | RepoVarExpand
| Functor expanding repo variables in a string. More...
struct | RepoVariablesStringReplacer
| Functor replacing repository variables. More...
struct | RepoVariablesUrlReplacer
| Functor replacing repository variables. More...
struct | RIMServiceRepos
class | RpmPackageProvider
| RPM PackageProvider implementation (with deltarpm processing). More...
class | RpmSigCheckException
| Exception thrown by PackageProviderImpl::rpmSigFileChecker. More...
class | ServiceAlreadyExistsException
| Service already exists and some unique attribute can't be duplicated. More...
class | ServiceException
| Base Exception for service handling. More...
class | ServiceInvalidAliasException
| Thrown when the repo alias is found to be invalid. More...
class | ServiceNoAliasException
| Service without alias was used in an operation. More...
class | ServiceNoUrlException
| Service has no or invalid url defined. More...
class | ServicePluginException
| PLUGIN Service related exceptions. More...
class | ServicePluginImmutableException
| Service plugin is immutable. More...
class | ServicePluginInformalException
| Service plugin has trouble providing the metadata but this should not be treated as error. More...
class | ServiceRepos
| Retrieval of repository list for a service. More...
struct | ServiceType
| Service type enumeration. More...
struct | SMVData
| Data parsed from a media.1/media file. More...
class | SrcPackageProvider
class | SUSEMediaVerifier
| Implementation of the traditional SUSE media verifier. More...

## Functions
std::ostream & | operator<< (std::ostream &str, const DeltaCandidates &obj)
void | downloadMediaInfo (const Pathname &dest_dir, MediaSetAccess &media, const ProgressData::ReceiverFnc &progress=ProgressData::ReceiverFnc())
| Downloads the media info (/media.1) to a local directory. More...
std::ostream & | operator<< (std::ostream &str, const PluginServices &obj)
| DEF_CTORS (RepoNotCachedException, "Repository is not cached")
| DEF_CTORS (RepoNoUrlException, "Repository has no or invalid url defined.")
| DEF_CTORS (RepoNoAliasException, "Repository has no alias defined.")
| DEF_CTORS (RepoInvalidAliasException, "Repository has an invalid alias.")
| DEF_CTORS (RepoNotFoundException, "Repository not found.")
| DEF_CTORS (RepoAlreadyExistsException, "Repository already exists.")
| DEF_CTORS (RepoUnknownTypeException, "Repository type can't be determined.")
| DEF_CTORS (RepoMetadataException, "Repository metadata not usable.")
| DEF_CTORS (ServiceNoAliasException, "Service has no alias defined.")
| DEF_CTORS (ServiceInvalidAliasException, "Service has an invalid alias.")
| DEF_CTORS (ServiceAlreadyExistsException, "Service already exists.")
| DEF_CTORS (ServiceNoUrlException, "Service has no or invalid url defined.")
| DEF_CTORS (ServicePluginException, "PLUGIN service exception.")
| DEF_CTORS (ServicePluginInformalException, "Service plugin has trouble providing the metadata but this should not be treated as error.")
| DEF_CTORS (ServicePluginImmutableException, _("Service plugin does not support changing an attribute."))
std::ostream & | operator<< (std::ostream &str, const RepoInfoBase &obj)
bool | operator< (const RepoInfoBase &lhs, const RepoInfoBase &rhs)
ManagedFile | provideFile (RepoInfo repo_r, const OnMediaLocation &loc_r, const ProvideFilePolicy &policy_r=ProvideFilePolicy())
| Provide a file from a Repository. More...
std::ostream & | operator<< (std::ostream &str, const RepoType &obj)
bool | operator== (const RepoType &obj1, const RepoType &obj2)
bool | operator!= (const RepoType &obj1, const RepoType &obj2)
std::ostream & | operator<< (std::ostream &str, const ServiceType &obj)
bool | operator== (const ServiceType &obj1, const ServiceType &obj2)
bool | operator!= (const ServiceType &obj1, const ServiceType &obj2)
std::ostream & | operator<< (std::ostream &str, const SUSEMediaVerifier &obj)

## Variables
static std::map< std::string, ServiceType::Type > | _table

## Function Documentation

## ◆ operator<<() [1/6]

std::ostream& zypp::repo::operator<< | ( | std::ostream & | str,
|  | const DeltaCandidates & | obj
| ) |  |
| related

Definition at line 107 of file DeltaCandidates.cc.

## ◆ downloadMediaInfo()

void zypp::repo::downloadMediaInfo | ( | const Pathname & | dest_dir,
|  | MediaSetAccess & | media,
|  | const ProgressData::ReceiverFnc & | progress = `ProgressData::ReceiverFnc()`
| ) |  |

Downloads the media info (/media.1) to a local directory.

Parameters

  dest_dir | Destination directory
  media | MediaSetAccess object to some media
  progress | Progress callback function

Exceptions

  Exception | on error

Definition at line 24 of file MediaInfoDownloader.cc.

## ◆ operator<<() [2/6]

std::ostream& zypp::repo::operator<< | ( | std::ostream & | str,
|  | const PluginServices & | obj
| ) |  |

Definition at line 80 of file PluginServices.cc.

## ◆ DEF_CTORS() [1/15]

zypp::repo::DEF_CTORS | ( | RepoNotCachedException | ,
|  | "Repository is not cached" |
| ) |  |

## ◆ DEF_CTORS() [2/15]

zypp::repo::DEF_CTORS | ( | RepoNoUrlException | ,
|  | "Repository has no or invalid url defined." |
| ) |  |

## ◆ DEF_CTORS() [3/15]

zypp::repo::DEF_CTORS | ( | RepoNoAliasException | ,
|  | "Repository has no alias defined." |
| ) |  |

## ◆ DEF_CTORS() [4/15]

zypp::repo::DEF_CTORS | ( | RepoInvalidAliasException | ,
|  | "Repository has an invalid alias." |
| ) |  |

## ◆ DEF_CTORS() [5/15]

zypp::repo::DEF_CTORS | ( | RepoNotFoundException | ,
|  | "Repository not found." |
| ) |  |

## ◆ DEF_CTORS() [6/15]

zypp::repo::DEF_CTORS | ( | RepoAlreadyExistsException | ,
|  | "Repository already exists." |
| ) |  |

## ◆ DEF_CTORS() [7/15]

zypp::repo::DEF_CTORS | ( | RepoUnknownTypeException | ,
|  | "Repository type can't be determined." |
| ) |  |

## ◆ DEF_CTORS() [8/15]

zypp::repo::DEF_CTORS | ( | RepoMetadataException | ,
|  | "Repository metadata not usable." |
| ) |  |

## ◆ DEF_CTORS() [9/15]

zypp::repo::DEF_CTORS | ( | ServiceNoAliasException | ,
|  | "Service has no alias defined." |
| ) |  |

## ◆ DEF_CTORS() [10/15]

zypp::repo::DEF_CTORS | ( | ServiceInvalidAliasException | ,
|  | "Service has an invalid alias." |
| ) |  |

## ◆ DEF_CTORS() [11/15]

zypp::repo::DEF_CTORS | ( | ServiceAlreadyExistsException | ,
|  | "Service already exists." |
| ) |  |

## ◆ DEF_CTORS() [12/15]

zypp::repo::DEF_CTORS | ( | ServiceNoUrlException | ,
|  | "Service has no or invalid url defined." |
| ) |  |

## ◆ DEF_CTORS() [13/15]

zypp::repo::DEF_CTORS | ( | ServicePluginException | ,
|  | "PLUGIN service exception." |
| ) |  |

## ◆ DEF_CTORS() [14/15]

zypp::repo::DEF_CTORS | ( | ServicePluginInformalException | ,
|  | "Service plugin has trouble providing the metadata but this should not be treated as error." |
| ) |  |

## ◆ DEF_CTORS() [15/15]

zypp::repo::DEF_CTORS | ( | ServicePluginImmutableException | ,
|  | _("Service plugin does not support changing an attribute.") |
| ) |  |

## ◆ operator<<() [3/6]

std::ostream& zypp::repo::operator<< | ( | std::ostream & | str,
|  | const RepoInfoBase & | obj
| ) |  |
| related

Definition at line 167 of file RepoInfoBase.cc.

## ◆ operator<()

bool zypp::repo::operator< | ( | const RepoInfoBase & | lhs,
|  | const RepoInfoBase & | rhs
| ) |  |
| inline

Definition at line 175 of file RepoInfoBase.h.

## ◆ provideFile()

ManagedFile zypp::repo::provideFile | ( | RepoInfo | repo_r,
|  | const OnMediaLocation & | loc_r,
|  | const ProvideFilePolicy & | policy_r = `ProvideFilePolicy()`
| ) |  |

Provide a file from a Repository.

Let source_r provide the file described by loc_r. In case loc_r contains a checksum, the file is verified. policy_r provides callback hooks for download progress reporting and behaviour on failed checksum verification.

Exceptions

  Exception |

Definition at line 112 of file RepoProvideFile.cc.

## ◆ operator<<() [4/6]

std::ostream& zypp::repo::operator<< | ( | std::ostream & | str,
|  | const RepoType & | obj
| ) |  |
| inline

Definition at line 58 of file RepoType.h.

## ◆ operator==() [1/2]

bool zypp::repo::operator== | ( | const RepoType & | obj1,
|  | const RepoType & | obj2
| ) |  |
| inline

Definition at line 61 of file RepoType.h.

## ◆ operator!=() [1/2]

bool zypp::repo::operator!= | ( | const RepoType & | obj1,
|  | const RepoType & | obj2
| ) |  |
| inline

Definition at line 64 of file RepoType.h.

## ◆ operator<<() [5/6]

std::ostream& zypp::repo::operator<< | ( | std::ostream & | str,
|  | const ServiceType & | obj
| ) |  |
| inline

Definition at line 68 of file ServiceType.h.

## ◆ operator==() [2/2]

bool zypp::repo::operator== | ( | const ServiceType & | obj1,
|  | const ServiceType & | obj2
| ) |  |
| inline

Definition at line 71 of file ServiceType.h.

## ◆ operator!=() [2/2]

bool zypp::repo::operator!= | ( | const ServiceType & | obj1,
|  | const ServiceType & | obj2
| ) |  |
| inline

Definition at line 74 of file ServiceType.h.

## ◆ operator<<() [6/6]

std::ostream& zypp::repo::operator<< | ( | std::ostream & | str,
|  | const SUSEMediaVerifier & | obj
| ) |  |

Definition at line 198 of file SUSEMediaVerifier.cc.

## Variable Documentation

## ◆ _table

std::map<std::string,ServiceType::Type> zypp::repo::_table
| static

Definition at line 21 of file ServiceType.cc.